Subject: Re: bug#48447: 27.2.50; Font-lock error in temporary bibtex-mode buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Jul 2022 16:34:17 -0400

Roland Winkler [2022-07-13 14:32:13] wrote:
> On Wed, Jul 13 2022, Stefan Monnier wrote:
>> Hmm... this looks like a workaround rather than a fix of the core
>> problem because I can't see any use of "font-lock internals" in
>> bibtex.el which would justify such a need.
>>
>> I suspect that the problem is linked to
>> `syntax-propertize-via-font-lock`, so I think the fix should go there.
>
> I am not sure I can follow.  Are you saying the proper solution to this
> bug likely needs to go outside bibtex.el but into something like
> syntax-propertize-via-font-lock?

Yup.

> That would put this bug far beyond my emacs hacking skills.

The upside is that it's "not your problem" any more :-)

        Stefan